> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /discogs/releases

> Get Discogs release details by ID or URL

**Price:** 1 credit

**⚠️ Common errors:** 412: Release not found



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/discogs/releases
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/discogs/releases:
    post:
      tags:
        - /discogs
      summary: /discogs/releases
      description: |-
        Get Discogs release details by ID or URL

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Release not found
      operationId: __api_discogs_releases_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DiscogsReleasePayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DiscogsRelease'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DiscogsReleasePayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        release:
          type: string
          minLength: 1
        curr_abbr:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - release
    DiscogsRelease:
      properties:
        '@type':
          type: string
          default: DiscogsRelease
        id:
          type: integer
        url:
          type: string
        status:
          anyOf:
            - type: string
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        released:
          anyOf:
            - type: string
            - type: 'null'
        released_formatted:
          anyOf:
            - type: string
            - type: 'null'
        format_quantity:
          anyOf:
            - type: integer
            - type: 'null'
        artists:
          items:
            $ref: '#/components/schemas/DiscogsReleaseArtist'
          type: array
          default: []
        extraartists:
          items:
            $ref: '#/components/schemas/DiscogsReleaseArtist'
          type: array
          default: []
        labels:
          items:
            $ref: '#/components/schemas/DiscogsReleaseLabel'
          type: array
          default: []
        companies:
          items:
            $ref: '#/components/schemas/DiscogsReleaseLabel'
          type: array
          default: []
        series:
          items:
            $ref: '#/components/schemas/DiscogsReleaseLabel'
          type: array
          default: []
        formats:
          items:
            $ref: '#/components/schemas/DiscogsReleaseFormat'
          type: array
          default: []
        genres:
          items:
            type: string
          type: array
          default: []
        styles:
          items:
            type: string
          type: array
          default: []
        tracklist:
          items:
            $ref: '#/components/schemas/DiscogsTrack'
          type: array
          default: []
        identifiers:
          items:
            $ref: '#/components/schemas/DiscogsIdentifier'
          type: array
          default: []
        videos:
          items:
            $ref: '#/components/schemas/DiscogsVideo'
          type: array
          default: []
        images:
          items:
            $ref: '#/components/schemas/DiscogsImage'
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        data_quality:
          anyOf:
            - type: string
            - type: 'null'
        community:
          anyOf:
            - $ref: '#/components/schemas/DiscogsReleaseCommunity'
            - type: 'null'
        for_sale_count:
          type: integer
          default: 0
        lowest_price:
          anyOf:
            - type: number
            - type: 'null'
        master_id:
          anyOf:
            - type: integer
            - type: 'null'
        master_url:
          anyOf:
            - type: string
            - type: 'null'
        estimated_weight:
          anyOf:
            - type: integer
            - type: 'null'
        date_added:
          anyOf:
            - type: string
            - type: 'null'
        date_changed:
          anyOf:
            - type: string
            - type: 'null'
        is_blocked_from_sale:
          type: boolean
          default: false
        is_offensive:
          type: boolean
          default: false
      type: object
      required:
        - id
        - url
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DiscogsReleaseArtist:
      properties:
        '@type':
          type: string
          default: DiscogsReleaseArtist
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        anv:
          anyOf:
            - type: string
            - type: 'null'
        role:
          anyOf:
            - type: string
            - type: 'null'
        join:
          anyOf:
            - type: string
            - type: 'null'
        tracks:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    DiscogsReleaseLabel:
      properties:
        '@type':
          type: string
          default: DiscogsReleaseLabel
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        catno:
          anyOf:
            - type: string
            - type: 'null'
        role:
          anyOf:
            - type: string
            - type: 'null'
        role_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    DiscogsReleaseFormat:
      properties:
        '@type':
          type: string
          default: DiscogsReleaseFormat
        name:
          anyOf:
            - type: string
            - type: 'null'
        qty:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        descriptions:
          items:
            type: string
          type: array
          default: []
      type: object
    DiscogsTrack:
      properties:
        '@type':
          type: string
          default: DiscogsTrack
        position:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
        artists:
          items:
            $ref: '#/components/schemas/DiscogsReleaseArtist'
          type: array
          default: []
        extraartists:
          items:
            $ref: '#/components/schemas/DiscogsReleaseArtist'
          type: array
          default: []
      type: object
    DiscogsIdentifier:
      properties:
        '@type':
          type: string
          default: DiscogsIdentifier
        type:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    DiscogsVideo:
      properties:
        '@type':
          type: string
          default: DiscogsVideo
        uri:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: integer
            - type: 'null'
        is_embed:
          type: boolean
          default: false
      type: object
    DiscogsImage:
      properties:
        '@type':
          type: string
          default: DiscogsImage
        type:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
        width:
          anyOf:
            - type: integer
            - type: 'null'
        height:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    DiscogsReleaseCommunity:
      properties:
        '@type':
          type: string
          default: DiscogsReleaseCommunity
        have_count:
          type: integer
          default: 0
        want_count:
          type: integer
          default: 0
        rating:
          anyOf:
            - $ref: '#/components/schemas/DiscogsReleaseRating'
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        data_quality:
          anyOf:
            - type: string
            - type: 'null'
        submitter:
          anyOf:
            - type: string
            - type: 'null'
        contributors:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    DiscogsReleaseRating:
      properties:
        '@type':
          type: string
          default: DiscogsReleaseRating
        count:
          type: integer
          default: 0
        average:
          anyOf:
            - type: number
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````